# File: ZODBCDA-3.1.0.spec
#
# An independent 'BuildRoot:' directive is used so that that this package
# can be built in the /tmp directory, for the case where the existing SQL
# on the build host would be disrupted by installing-after-build-to-package
# onto that system.
#
# A 'Prefix:' directive is also used so that this set of files can be
# installed in any Zope directory arrangement.
#
# Sample Package Names:
#   ZODBCDA-3.1.0-1.i386.rpm
#
# Modification History:
# 10-Oct-99 jrr Original
#
####

####
# Section: Preamble (Items Displayed When Users Request Info About Package)
#
# The order of the entries below is unimportant.
#
####

Name:               ZODBCDA
Version:            3.1.0
Release:            1
Copyright:          Zope Public License (ZPL)
Vendor:             Digital Creations, L.C.
URL:                http://www.zope.org/
Packager:           Jeff Rush <jrush@taupro.com>
BuildRoot:          /var/tmp/%{name}-%{version}-rootdir
Group:              Development/Web Applications
Summary:            Zope Database Adapter for Accessing Solid SQL Databases
Prefix:             /usr/share/zope
Requires:           python >= 1.5, Zope >= 2.0.1

Source0: ZODBCDA-3.1.0b2-win32-x86.tgz
Patch0: ZODBCDA-3.1.0-inclibs.patch

%description
A database adapter (DA) that enables the Zope web-application server to
access Solid Technology's SQL database product, using ODBC functions.

(this is a relocatable RPM in case your Zope is installed oddly)

########## 
#
# The following environment variables are automatically defined for use
# in any of the following shell scripts:
#
#   RPM_SOURCE_DIR      { where sources originally reside }
#   RPM_BUILD_DIR       { where sources get unpacked into }
#   RPM_DOC_DIR
#   RPM_OPT_FLAGS
#   RPM_ARCH
#   RPM_OS
#   RPM_ROOT_DIR
#   RPM_BUILD_ROOT      { where final images get placed before packaging }
#   RPM_PACKAGE_NAME
#   RPM_PACKAGE_VERSION
#   RPM_PACKAGE_RELEASE
#
##########

####
# Section: Prep Script (Prepare to Build; Usually Just Unpacking the Sources)
####
%prep
%setup -q -T -D -c -a 0 -n %{name}-%{version}
%patch0 -p1 -b inclibs

####
# Section: Build Script (Actually Perform the Build; Usually Just 'make')
####
%build

  # Remove MSWindows or CVS Stuff
  (cd lib/python/Products/ZODBCDA
   rm -rf icons/CVS
   rm sql.pyd
  )

  # Build the 'sql' Python Extension Module
  (cd lib/python/Products/ZODBCDA/src
   make -f Makefile.pre.in boot
   make
   mv sql.so ..
  )

  # And Remove the Now-Unneeded C Source
  rm -rf lib/python/Products/ZODBCDA/src

####
# Section: Install-After-Build Script (Often Just 'make install')
####
%install

  # Make the Necessary Directories
  install -m755 --directory      $RPM_BUILD_ROOT/usr/share/zope/lib/python/Products/ZODBCDA

  cp -rp  lib/python/Products/ZODBCDA/  $RPM_BUILD_ROOT/usr/share/zope/lib/python/Products/

  # Precompile Python Source for Faster Imports During Usage
  python /usr/lib/python1.5/compileall.py $RPM_BUILD_ROOT/usr/share/zope/lib/python/Products

  # Build a Zope Product-layout tarball for Those Who Dislike/Can't Use RPMs
  (cd $RPM_BUILD_ROOT/usr/share/zope
   tar cvzf ZODBCDA-linux-solid-3.1.0.tgz lib/
  )

####
# Section: Delivery Install/Uninstall Scripts (Pre/Post Install/Erase Scripts)
####

#%post

####
# Section: Verify Script (Check for Proper Installation of Package)
####

####
# Section: Clean Script (Tidy Up Build Area After a Build Completes)
####
%clean
  rm -rf $RPM_BUILD_ROOT

####
# Section: Files (List of Files w/Attributes Making Up Package)
####

%files
  %defattr(-, root, root)

  /usr/share/zope/*

